<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
	<title>API: calendar  YAHOO.widget.Calendar2up   (YUI Library)</title>
	<link rel="stylesheet" type="text/css" href="assets/api.css">
</head>

<body id="yahoo-com">
<div id="doc3" class="yui-t2">

	<div id="hd">
        <h1>Yahoo! UI Library</h1>
        <h3>Calendar&nbsp; <span class="subtitle">2.2.0</span></h3>
        <p>
        <a href="./index.html">Yahoo! UI Library</a> 
            &gt; <a href="./module_calendar.html">calendar</a>
                 &gt; YAHOO.widget.Calendar2up 
                
            </p>
	</div>

	<div id="bd">
		<div id="yui-main">
			<div class="yui-b">


                    <h2>
                        

                        
                        
                            Class <b>YAHOO.widget.Calendar2up</b>
                        <span class="extends">
                           - extends <a href="YAHOO.widget.CalendarGroup.html">YAHOO.widget.CalendarGroup</a>
                        </span>

                        <span class="extends">
                        </span>
                        
                        </code>
                    </h2>
                    <!-- class tree goes here -->
                    
                
                        <div class="deprecated"><strong>Deprecated:</strong>The old Calendar2up class is no longer necessary, since CalendarGroup renders in a 2up view by default.</div>
  

                    <div class="summary description">
                        
                    </div>


                        <div class="section field details">
                            <h3><a name="field_detail">Properties</a></h3>
                            <div class="content">
                                    <h4><a name="Cal2up">Cal2up</a>
                                        <code>- object</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            
                                        </div>
                                    </div>
     
                                        

                                    <div class="deprecated">
                                        <strong>Deprecated: </strong>The old Calendar2up class is no longer necessary, since CalendarGroup renders in a 2up view by default.
                                    </div>        

                                    <hr />


                            </div>
                        </div>

                        <div class="section field inheritance">
                            <h4>Properties inherited from <a href="YAHOO.widget.CalendarGroup.html">YAHOO.widget.CalendarGroup</a>:</h4>
                            <div class="content">
                                <code>
                                    
                                        <a href="YAHOO.widget.CalendarGroup.html#cfg">cfg</a>,
                                        <a href="YAHOO.widget.CalendarGroup.html#containerId">containerId</a>,
                                        <a href="YAHOO.widget.CalendarGroup.html#id">id</a>,
                                        <a href="YAHOO.widget.CalendarGroup.html#Locale">Locale</a>,
                                        <a href="YAHOO.widget.CalendarGroup.html#oDomContainer">oDomContainer</a>,
                                        <a href="YAHOO.widget.CalendarGroup.html#Options">Options</a>,
                                        <a href="YAHOO.widget.CalendarGroup.html#pages">pages</a>
                                </code>
                            </div>
                        </div>


                            <div class="section field inheritance">
                                <h4>Methods inherited from <a href="YAHOO.widget.CalendarGroup.html">YAHOO.widget.CalendarGroup</a>:</h4>
                                <div class="content">
                                    <code>
                                        
                                            <a href="YAHOO.widget.CalendarGroup.html#_setMonthOnDate">_setMonthOnDate</a>,
                                            <a href="YAHOO.widget.CalendarGroup.html#addMonthRenderer">addMonthRenderer</a>,
                                            <a href="YAHOO.widget.CalendarGroup.html#addMonths">addMonths</a>,
                                            <a href="YAHOO.widget.CalendarGroup.html#addRenderer">addRenderer</a>,
                                            <a href="YAHOO.widget.CalendarGroup.html#addWeekdayRenderer">addWeekdayRenderer</a>,
                                            <a href="YAHOO.widget.CalendarGroup.html#addYears">addYears</a>,
                                            <a href="YAHOO.widget.CalendarGroup.html#callChildFunction">callChildFunction</a>,
                                            <a href="YAHOO.widget.CalendarGroup.html#clear">clear</a>,
                                            <a href="YAHOO.widget.CalendarGroup.html#configPageDate">configPageDate</a>,
                                            <a href="YAHOO.widget.CalendarGroup.html#configPages">configPages</a>,
                                            <a href="YAHOO.widget.CalendarGroup.html#constructChild">constructChild</a>,
                                            <a href="YAHOO.widget.CalendarGroup.html#delegateConfig">delegateConfig</a>,
                                            <a href="YAHOO.widget.CalendarGroup.html#deselect">deselect</a>,
                                            <a href="YAHOO.widget.CalendarGroup.html#deselectAll">deselectAll</a>,
                                            <a href="YAHOO.widget.CalendarGroup.html#deselectCell">deselectCell</a>,
                                            <a href="YAHOO.widget.CalendarGroup.html#getSelectedDates">getSelectedDates</a>,
                                            <a href="YAHOO.widget.CalendarGroup.html#init">init</a>,
                                            <a href="YAHOO.widget.CalendarGroup.html#initEvents">initEvents</a>,
                                            <a href="YAHOO.widget.CalendarGroup.html#nextMonth">nextMonth</a>,
                                            <a href="YAHOO.widget.CalendarGroup.html#nextYear">nextYear</a>,
                                            <a href="YAHOO.widget.CalendarGroup.html#previousMonth">previousMonth</a>,
                                            <a href="YAHOO.widget.CalendarGroup.html#previousYear">previousYear</a>,
                                            <a href="YAHOO.widget.CalendarGroup.html#render">render</a>,
                                            <a href="YAHOO.widget.CalendarGroup.html#renderFooter">renderFooter</a>,
                                            <a href="YAHOO.widget.CalendarGroup.html#renderHeader">renderHeader</a>,
                                            <a href="YAHOO.widget.CalendarGroup.html#reset">reset</a>,
                                            <a href="YAHOO.widget.CalendarGroup.html#select">select</a>,
                                            <a href="YAHOO.widget.CalendarGroup.html#selectCell">selectCell</a>,
                                            <a href="YAHOO.widget.CalendarGroup.html#setChildFunction">setChildFunction</a>,
                                            <a href="YAHOO.widget.CalendarGroup.html#setMonth">setMonth</a>,
                                            <a href="YAHOO.widget.CalendarGroup.html#setYear">setYear</a>,
                                            <a href="YAHOO.widget.CalendarGroup.html#sub">sub</a>,
                                            <a href="YAHOO.widget.CalendarGroup.html#subtractMonths">subtractMonths</a>,
                                            <a href="YAHOO.widget.CalendarGroup.html#subtractYears">subtractYears</a>,
                                            <a href="YAHOO.widget.CalendarGroup.html#toString">toString</a>,
                                            <a href="YAHOO.widget.CalendarGroup.html#unsub">unsub</a>
                                    </code>
                                </div>
                            </div>



                        <div class="section field inheritance">
                            <h4>Events inherited from <a href="YAHOO.widget.CalendarGroup.html">YAHOO.widget.CalendarGroup</a>:</h4>
                            <div class="content">
                                <code>
                                    
                                        <a href="YAHOO.widget.CalendarGroup.html#beforeDeselectEvent">beforeDeselectEvent</a>,
                                        <a href="YAHOO.widget.CalendarGroup.html#beforeRenderEvent">beforeRenderEvent</a>,
                                        <a href="YAHOO.widget.CalendarGroup.html#beforeSelectEvent">beforeSelectEvent</a>,
                                        <a href="YAHOO.widget.CalendarGroup.html#changePageEvent">changePageEvent</a>,
                                        <a href="YAHOO.widget.CalendarGroup.html#clearEvent">clearEvent</a>,
                                        <a href="YAHOO.widget.CalendarGroup.html#deselectEvent">deselectEvent</a>,
                                        <a href="YAHOO.widget.CalendarGroup.html#renderEvent">renderEvent</a>,
                                        <a href="YAHOO.widget.CalendarGroup.html#resetEvent">resetEvent</a>,
                                        <a href="YAHOO.widget.CalendarGroup.html#selectEvent">selectEvent</a>
                                </code>
                            </div>
                        </div>


                        <div class="section field inheritance">
                            <h4>Configuration attributes inherited from <a href="YAHOO.widget.CalendarGroup.html">YAHOO.widget.CalendarGroup</a>:</h4>
                            <div class="content">
                                <code>
                                    
                                        <a href="YAHOO.widget.CalendarGroup.html#close">close</a>,
                                        <a href="YAHOO.widget.CalendarGroup.html#DATE_DELIMITER">DATE_DELIMITER</a>,
                                        <a href="YAHOO.widget.CalendarGroup.html#DATE_FIELD_DELIMITER">DATE_FIELD_DELIMITER</a>,
                                        <a href="YAHOO.widget.CalendarGroup.html#DATE_RANGE_DELIMITER">DATE_RANGE_DELIMITER</a>,
                                        <a href="YAHOO.widget.CalendarGroup.html#HIDE_BLANK_WEEKS">HIDE_BLANK_WEEKS</a>,
                                        <a href="YAHOO.widget.CalendarGroup.html#iframe">iframe</a>,
                                        <a href="YAHOO.widget.CalendarGroup.html#LOCALE_MONTHS">LOCALE_MONTHS</a>,
                                        <a href="YAHOO.widget.CalendarGroup.html#LOCALE_WEEKDAYS">LOCALE_WEEKDAYS</a>,
                                        <a href="YAHOO.widget.CalendarGroup.html#maxdate">maxdate</a>,
                                        <a href="YAHOO.widget.CalendarGroup.html#MD_DAY_POSITION">MD_DAY_POSITION</a>,
                                        <a href="YAHOO.widget.CalendarGroup.html#MD_MONTH_POSITION">MD_MONTH_POSITION</a>,
                                        <a href="YAHOO.widget.CalendarGroup.html#MDY_DAY_POSITION">MDY_DAY_POSITION</a>,
                                        <a href="YAHOO.widget.CalendarGroup.html#MDY_MONTH_POSITION">MDY_MONTH_POSITION</a>,
                                        <a href="YAHOO.widget.CalendarGroup.html#MDY_YEAR_POSITION">MDY_YEAR_POSITION</a>,
                                        <a href="YAHOO.widget.CalendarGroup.html#mindate">mindate</a>,
                                        <a href="YAHOO.widget.CalendarGroup.html#MONTHS_LONG">MONTHS_LONG</a>,
                                        <a href="YAHOO.widget.CalendarGroup.html#MONTHS_SHORT">MONTHS_SHORT</a>,
                                        <a href="YAHOO.widget.CalendarGroup.html#MULTI_SELECT">MULTI_SELECT</a>,
                                        <a href="YAHOO.widget.CalendarGroup.html#MY_MONTH_POSITION">MY_MONTH_POSITION</a>,
                                        <a href="YAHOO.widget.CalendarGroup.html#MY_YEAR_POSITION">MY_YEAR_POSITION</a>,
                                        <a href="YAHOO.widget.CalendarGroup.html#NAV_ARROW_LEFT">NAV_ARROW_LEFT</a>,
                                        <a href="YAHOO.widget.CalendarGroup.html#NAV_ARROW_RIGHT">NAV_ARROW_RIGHT</a>,
                                        <a href="YAHOO.widget.CalendarGroup.html#pagedate">pagedate</a>,
                                        <a href="YAHOO.widget.CalendarGroup.html#pages">pages</a>,
                                        <a href="YAHOO.widget.CalendarGroup.html#selected">selected</a>,
                                        <a href="YAHOO.widget.CalendarGroup.html#SHOW_WEEK_FOOTER">SHOW_WEEK_FOOTER</a>,
                                        <a href="YAHOO.widget.CalendarGroup.html#SHOW_WEEK_HEADER">SHOW_WEEK_HEADER</a>,
                                        <a href="YAHOO.widget.CalendarGroup.html#SHOW_WEEKDAYS">SHOW_WEEKDAYS</a>,
                                        <a href="YAHOO.widget.CalendarGroup.html#START_WEEKDAY">START_WEEKDAY</a>,
                                        <a href="YAHOO.widget.CalendarGroup.html#title">title</a>,
                                        <a href="YAHOO.widget.CalendarGroup.html#WEEKDAYS_1CHAR">WEEKDAYS_1CHAR</a>,
                                        <a href="YAHOO.widget.CalendarGroup.html#WEEKDAYS_LONG">WEEKDAYS_LONG</a>,
                                        <a href="YAHOO.widget.CalendarGroup.html#WEEKDAYS_MEDIUM">WEEKDAYS_MEDIUM</a>,
                                        <a href="YAHOO.widget.CalendarGroup.html#WEEKDAYS_SHORT">WEEKDAYS_SHORT</a>
                                </code>
                            </div>
                        </div>

			</div>
		</div>
		<div class="yui-b">
            <div class="nav">

                    <div class="module">
                        <h4>Modules</h4>
                        <ul class="content">

                                <li class=""><a href="module_animation.html">animation</a></li>

                                <li class=""><a href="module_autocomplete.html">autocomplete</a></li>

                                <li class=""><a href="module_button.html">button</a></li>

                                <li class="selected"><a href="module_calendar.html">calendar</a></li>

                                <li class=""><a href="module_connection.html">connection</a></li>

                                <li class=""><a href="module_container.html">container</a></li>

                                <li class=""><a href="module_datasource.html">datasource</a></li>

                                <li class=""><a href="module_datatable.html">datatable</a></li>

                                <li class=""><a href="module_dom.html">dom</a></li>

                                <li class=""><a href="module_dragdrop.html">dragdrop</a></li>

                                <li class=""><a href="module_element.html">element</a></li>

                                <li class=""><a href="module_event.html">event</a></li>

                                <li class=""><a href="module_history.html">history</a></li>

                                <li class=""><a href="module_logger.html">logger</a></li>

                                <li class=""><a href="module_menu.html">menu</a></li>

                                <li class=""><a href="module_slider.html">slider</a></li>

                                <li class=""><a href="module_tabview.html">tabview</a></li>

                                <li class=""><a href="module_treeview.html">treeview</a></li>

                                <li class=""><a href="module_yahoo.html">yahoo</a></li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Classes</h4>
                        <ul class="content">
                                <li class=""><a href="YAHOO.widget.Calendar.html">YAHOO.widget.Calendar</a></li>
                                <li class="selected"><a href="YAHOO.widget.Calendar2up.html">YAHOO.widget.Calendar2up</a></li>
                                <li class=""><a href="YAHOO.widget.Calendar_Core.html">YAHOO.widget.Calendar_Core</a></li>
                                <li class=""><a href="YAHOO.widget.CalendarGroup.html">YAHOO.widget.CalendarGroup</a></li>
                                <li class=""><a href="YAHOO.widget.DateMath.html">YAHOO.widget.DateMath</a></li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Files</h4>
                        <ul class="content">        
                                <li class=""><a href="Calendar.js.html">Calendar.js</a></li>
                                <li class=""><a href="CalendarGroup.js.html">CalendarGroup.js</a></li>
                                <li class=""><a href="DateMath.js.html">DateMath.js</a></li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Properties</h4>
                        <ul class="content">        
                                <li><a href="#Cal2up">Cal2up</a>
                                        <!--<code>&lt;object&gt;</code>-->
                                </li>
                        </ul>
                    </div>




            </div>
		</div>
	</div>
	<div id="ft">
        <hr />
        Copyright &copy; 2007 Yahoo! Inc. All rights reserved.
	</div>
</div>
</body>
</html>
